Ant API: Class Zip

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Zip

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.MatchingTask
                  |
                  +--org.apache.tools.ant.taskdefs.Zip

Direct Known Subclasses:
  Jar

public class Zip
extends MatchingTask

Create a ZIP archive.

Author:
  James Davidson duncan@x180.com, Jon S. Stevens jon@clearink.com

Inner classes inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`MatchingTask.NameEntry`

Field Summary
`protected java.lang.String` | `archiveType`

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`excludeList, includeList, useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.Task
`description, project, target`

Constructor Summary
`Zip()`

Method Summary
`void` | `execute()` Called by the project to let the task do it's work.
`protected void` | `initZipOutputStream(java.util.zip.ZipOutputStream zOut)`
`void` | `setBasedir(java.lang.String baseDirname)` This is the base directory to look in for things to zip.
`void` | `setZipfile(java.lang.String zipFilename)` This is the name/location of where to create the .zip file.
`protected void` | `zipDir(java.io.File dir, java.util.zip.ZipOutputStream zOut, java.lang.String vPath)`
`protected void` | `zipFile(java.io.File file, java.util.zip.ZipOutputStream zOut, java.lang.String vPath)`
`protected void` | `zipFile(java.io.InputStream in, java.util.zip.ZipOutputStream zOut, java.lang.String vPath)`

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`createExclude, createInclude, getDirectoryScanner, getProperty, setDefaultexcludes, setExcludes, setIgnore, setIncludes, setItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, init, setDescription, setTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### archiveType

    protected java.lang.String archiveType

Constructor Detail

### Zip

    public Zip()

Method Detail

### setZipfile

    public void setZipfile(java.lang.String zipFilename)

  This is the name/location of where to create the .zip file.

### setBasedir

    public void setBasedir(java.lang.String baseDirname)

  This is the base directory to look in for things to zip.

### execute

    public void execute()
                 throws BuildException

  Description copied from class: Task
  Called by the project to let the task do it's work. Normally it does nothing.
  Overrides:
    execute in class Task
  Tags copied from class: Task
  Throws:
    BuildException - if someting goes wrong with the build

### initZipOutputStream

    protected void initZipOutputStream(java.util.zip.ZipOutputStream zOut)
                                throws java.io.IOException,
                                       BuildException

### zipDir

    protected void zipDir(java.io.File dir,
                          java.util.zip.ZipOutputStream zOut,
                          java.lang.String vPath)
                   throws java.io.IOException

### zipFile

    protected void zipFile(java.io.InputStream in,
                           java.util.zip.ZipOutputStream zOut,
                           java.lang.String vPath)
                    throws java.io.IOException

### zipFile

    protected void zipFile(java.io.File file,
                           java.util.zip.ZipOutputStream zOut,
                           java.lang.String vPath)
                    throws java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.